# eric4.DocumentationTools.IndexGenerator

Module implementing the index generator for the builtin documentation generator.

### Global Attributes

None

### Classes

IndexGenerator | Class implementing the index generator for the builtin documentation generator.

### Functions

None

## IndexGenerator

Class implementing the index generator for the builtin documentation generator.

### Derived from

object

### Class Attributes

None

### Class Methods

None

### Methods

IndexGenerator | Constructor
__writeIndex | Private method to generate an index file for a package.
remember | Public method to remember a documentation file.
writeIndices | Public method to generate all index files.

### Static Methods

None

#### IndexGenerator (Constructor)

IndexGenerator(outputDir, colors, stylesheet = None)

Constructor

outputDir
  The output directory for the files. (string)
colors
  Dictionary specifying the various colors for the output. (dictionary of strings)
stylesheet
  the style to be used for the generated pages (string)

#### IndexGenerator.__writeIndex

__writeIndex(packagename, package)

Private method to generate an index file for a package.

packagename
  The name of the package. (string)
package
  A dictionary with information about the package.

Returns:
  The name of the generated index file.

#### IndexGenerator.remember

remember(file, moduleDocument, basename="")

Public method to remember a documentation file.

file
  The filename to be remembered. (string)
moduleDocument
  The ModuleDocument object containing the information for the file.
basename
  The basename of the file hierarchy to be documented. The basename is stripped off the filename if it starts with the basename.

#### IndexGenerator.writeIndices

writeIndices(basename = "")

Public method to generate all index files.

basename
  The basename of the file hierarchy to be documented. The basename is stripped off the filename if it starts with the basename.

Up